<?php

if (!defined('ABSPATH'))
    exit;

class ADS_admin {

    /**
     * The single instance
     * @var    object
     * @access  private
     * @since    1.0.0
     */
    private static $_instance = null;

    /**
     * The main plugin object.
     * @var    object
     * @access  public
     * @since    1.0.0
     */
    public $parent = null;

    /**
     * Prefix for plugin settings.
     * @var     string
     * @access  public
     * Delete
     * @since   1.0.0
     */
    public $base = '';

    /**
     * Available settings for plugin.
     * @var     array
     * @access  public
     * @since   1.0.0
     */
    public $settings = array();

    public function __construct($parent) {
        $this->parent = $parent;
        $this->base = 'adns_';
        $this->dir = dirname($this->parent->file);
        add_action('admin_menu', array($this, 'add_menu_item'));
        add_action('admin_print_scripts', array($this, 'admin_scripts'));
        add_action('admin_print_styles', array($this, 'admin_styles'));
        add_action('vc_before_init', array($this, 'init_vc'));
        add_action('wp_ajax_nopriv_adns_saveSettings', array($this, 'saveSettings'));
        add_action('wp_ajax_adns_saveSettings', array($this, 'saveSettings'));
        add_action('wp_ajax_nopriv_adns_loadSettings', array($this, 'loadSettings'));
        add_action('wp_ajax_adns_loadSettings', array($this, 'loadSettings'));
        add_action('wp_ajax_nopriv_adns_saveStep', array($this, 'saveStep'));
        add_action('wp_ajax_adns_saveStep', array($this, 'saveStep'));
        add_action('wp_ajax_nopriv_adns_addStep', array($this, 'addStep'));
        add_action('wp_ajax_adns_addStep', array($this, 'addStep'));
        add_action('wp_ajax_nopriv_adns_loadSteps', array($this, 'loadSteps'));
        add_action('wp_ajax_adns_loadSteps', array($this, 'loadSteps'));
        add_action('wp_ajax_nopriv_adns_removeStep', array($this, 'removeStep'));
        add_action('wp_ajax_adns_removeStep', array($this, 'removeStep'));
        add_action('wp_ajax_nopriv_adns_addDonation', array($this, 'addDonation'));
        add_action('wp_ajax_adns_addDonation', array($this, 'addDonation'));
        add_action('wp_ajax_nopriv_adns_loadDonation', array($this, 'loadDonation'));
        add_action('wp_ajax_adns_loadDonation', array($this, 'loadDonation'));
        add_action('wp_ajax_nopriv_adns_saveDonation', array($this, 'saveDonation'));
        add_action('wp_ajax_adns_saveDonation', array($this, 'saveDonation'));
        add_action('wp_ajax_nopriv_adns_removeDonation', array($this, 'removeDonation'));
        add_action('wp_ajax_adns_removeDonation', array($this, 'removeDonation'));
        add_action('wp_ajax_nopriv_adns_exportDonations', array($this, 'exportDonations'));
        add_action('wp_ajax_adns_exportDonations', array($this, 'exportDonations'));
        add_action('wp_ajax_nopriv_adns_importDonations', array($this, 'importDonations'));
        add_action('wp_ajax_adns_importDonations', array($this, 'importDonations'));
        add_action('wp_ajax_nopriv_adns_checkLicense', array($this, 'checkLicense'));
        add_action('wp_ajax_adns_checkLicense', array($this, 'checkLicense'));
        add_action('wp_ajax_nopriv_adns_duplicateDonation', array($this, 'duplicateDonation'));
        add_action('wp_ajax_adns_duplicateDonation', array($this, 'duplicateDonation'));
        add_action('wp_ajax_nopriv_adns_saveStartStep', array($this, 'saveStartStep'));
        add_action('wp_ajax_adns_saveStartStep', array($this, 'saveStartStep'));     
        add_action('wp_ajax_nopriv_adns_getFormPreviewURL', array($this, 'getFormPreviewURL'));
        add_action('wp_ajax_adns_getFormPreviewURL', array($this, 'getFormPreviewURL'));      
        
        
    }

    /**
     * Add menu to admin
     * @return void
     */
    public function add_menu_item() {
        add_menu_page('Donations System', __("Donations System", 'adns'), 'manage_options', 'adns_menu', array($this, 'view_adns'), 'dashicons-heart');
        $menuSlag = 'adns_menu';
    }

    public function getSettings() {
        if (current_user_can('manage_options')) {
        global $wpdb;
        $table_name = $wpdb->prefix . "adns_settings";
        $settings = $wpdb->get_results("SELECT * FROM $table_name WHERE id=1 LIMIT 1");
        $settings = $settings[0];
        return $settings;
        }
    }

    public function loadSettings() {
        if (current_user_can('manage_options')) {
            $settings = $this->getSettings();
            $settings->purchaseCode = "";
            echo(json_encode($settings));
        }
        die();
    }

    public function getFormPreviewURL() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            $donationID = intval($_POST['donationID']);

            $settings = $this->getSettings();

            $page = get_post($settings->previewPageID);
            if (!isset($page)) {
                $page = get_page_by_title('Donation preview');
                if (!isset($page)) {
                    $page = array(
                        'post_title' => 'Donation preview',
                        'post_content' => '[attractive-donation donation="' . $donationID . '"]',
                        'post_status' => 'private',
                        'post_author' => 1,
                        'post_category' => array(0),
                        'post_type' => 'page'
                    );

                    $pageID = wp_insert_post($page);
                    $table_name = $wpdb->prefix . "adns_settings";
                    $wpdb->update($table_name, array('previewPageID' => $pageID), array('id' => 1));
                } else {

                    $page->post_status = 'private';
                    $page->post_content = '[attractive-donation donation="' . $donationID . '" fullscreen="true"]';
                    wp_update_post($page);
                    $pageID = $page->ID;
                    $table_name = $wpdb->prefix . "adns_settings";
                    $wpdb->update($table_name, array('previewPageID' => $pageID), array('id' => 1));
                }
            } else {
                $page->post_status = 'adns_settings';
                $page->post_content = '[attractive-donation donation="' . $donationID . '" fullscreen="true"]';
                wp_update_post($page);
                $pageID = $settings->previewPageID;
            }

            echo get_permalink($pageID);
            die();
        }
    }

    /*
     * Load admin styles
     */

    function admin_styles() {
        $url = '';
        if (isset($_SERVER['HTTP_REFERER'])) {
            $url = $_SERVER['HTTP_REFERER'];
        }
        $settings = $this->getSettings();
        if (isset($_GET['page']) && strpos($_GET['page'], 'adns') !== false) {
            wp_register_style($this->parent->_token . '-reset', esc_url($this->parent->assets_url) . 'css/reset.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-reset');
            wp_register_style($this->parent->_token . '-bootstrap', esc_url($this->parent->assets_url) . 'css/bootstrap.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-bootstrap');
            wp_register_style($this->parent->_token . '-fontawesome', esc_url($this->parent->assets_url) . 'css/font-awesome.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-fontawesome');
            wp_register_style($this->parent->_token . '-flat-ui', esc_url($this->parent->assets_url) . 'css/flat-ui-pro.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-flat-ui');
            wp_register_style($this->parent->_token . '-colpick', esc_url($this->parent->assets_url) . 'css/colpick.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-colpick');
            wp_register_style($this->parent->_token . '-editor', esc_url($this->parent->assets_url) . 'css/summernote.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-editor');
            wp_register_style($this->parent->_token . '-editorB3', esc_url($this->parent->assets_url) . 'css/summernote-bs3.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-editorB3');
            wp_register_style($this->parent->_token . '-admin', esc_url($this->parent->assets_url) . 'css/admin.min.css', array(), $this->parent->_version);
            wp_enqueue_style($this->parent->_token . '-admin');
        }
    }

    /*
     * Load admin scripts
     */

    function admin_scripts() {
        global $wpdb;
        $url = '';
        if (isset($_SERVER['HTTP_REFERER'])) {
            $url = $_SERVER['HTTP_REFERER'];
        }
        $settings = $this->getSettings();
        if (isset($_GET['page']) && strpos($_GET['page'], 'adns') !== false) {
            wp_register_script($this->parent->_token . '-flatui', esc_url($this->parent->assets_url) . 'js/flat-ui-pro.min.js', array('jquery',
                'jquery-ui-core',
                'jquery-ui-mouse',
                'jquery-ui-position',
                'jquery-ui-droppable',
                'jquery-ui-draggable',
                'jquery-ui-resizable',
                'jquery-ui-sortable',
                'jquery-effects-core',
                'jquery-effects-drop',
                'jquery-effects-fade',
                'jquery-effects-bounce'), $this->parent->_version);
            wp_enqueue_script($this->parent->_token . '-flatui');
            wp_register_script($this->parent->_token . '-colpick', esc_url($this->parent->assets_url) . 'js/colpick.min.js', array($this->parent->_token . '-flatui'), $this->parent->_version);
            wp_enqueue_script($this->parent->_token . '-colpick');
            wp_register_script($this->parent->_token . '-editor', esc_url($this->parent->assets_url) . 'js/summernote.min.js', array($this->parent->_token . '-flatui'), $this->parent->_version);
            wp_enqueue_script($this->parent->_token . '-editor');
            wp_register_script($this->parent->_token . '-admin', esc_url($this->parent->assets_url) . 'js/admin.min.js', $this->parent->_token . '-flatui', $this->parent->_version);
            wp_enqueue_script($this->parent->_token . '-admin');

            $js_data[] = array(
                'assetsUrl' => esc_url($this->parent->assets_url),
                'websiteUrl' => esc_url(get_home_url()),
                'texts' => array(
                    'newStepTitle'=>__('My Step', 'adns'),
                    'yes'=>__('Yes', 'adns'),
                    'no'=>__('No', 'adns')
                )
            );
            wp_localize_script($this->parent->_token . '-admin', 'adns_data', $js_data);
        }        
        wp_register_style($this->parent->_token . '-adminGlobal', esc_url($this->parent->assets_url) . 'css/admin_global.css', array(), $this->parent->_version);
        wp_enqueue_style($this->parent->_token . '-adminGlobal');
    }

    public function saveSettings() {
        global $wpdb;
        $settings = $this->getSettings();
        $currentCode = $settings->purchaseCode;
        if (current_user_can('manage_options')) {
            $table_name = $wpdb->prefix . "adns_settings";
            $sqlDatas = array();
            foreach ($_POST as $key => $value) {
                if ($key != 'action' && $key != 'id' && $key != 'pll_ajax_backend' && $key != "undefined" && $key != "files") {
                    $sqlDatas[$key] = (stripslashes($value));
                }
            }
            $wpdb->update($table_name, $sqlDatas, array('id' => 1));
        }

        die();
    }
    
    public function saveStartStep(){
        if (current_user_can('manage_options')) {            
            global $wpdb;
            $table_name = $wpdb->prefix . "adns_steps";
            $donationID = sanitize_text_field($_POST['donationID']); 
            $startStep = sanitize_text_field($_POST['startStep']); 
            $wpdb->update($table_name, array('startStep' =>0), array('donationID' => $donationID,'startStep'=>1));
            $wpdb->update($table_name, array('startStep' =>1), array('donationID' => $donationID,'id'=>$startStep));     
        die();       
        }        
    }
    
    public function addDonation() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            $table_name = $wpdb->prefix . "adns_donations";
            $wpdb->insert($table_name, array(
                'title' => __('My new Donation widget','adns'),
                'description'=>'',
                'colorTitle' => '#000000',
                'colorBtnBg' => '#1abc9c',
                'colorBtnBgHover' => '#1edeb9',
                'colorBtnColor'=>'#FFFFFF',
                'colorCloseIcon'=>'#bdc3c7',
                'colorBg' => '#FFFFFF',
                'colorSlider'=>'#1abc9c',
                'colorSliderBg'=>'#ecf0f1',
                'colorTint'=>'#1abc9c',
                'use_paypal'=>1,
                'paypal_email'=>'my@paypal.email',
                'stripe_currency'=>'USD',
                'paypal_currency'=>'USD',
                'btnPaymentTxt'=>__('Offer me','adns'),
                'currency'=>'$',
                'currencyPosition'=>'left',
                'imageTint'=>0,
                'stripe_btnLabel'=>__('Pay','adns'),
                'finalMessage'=>__('Thank you very much !','adns'),
                'introBtnLabel'=>__('Do you like this website ? Support us !','adns'),
                'introBtnIcon'=>'fa-heart',
                'colorTint'=>'#bdc3c7',
                'thousandsSeparator'=>',',
                'subscriptionLabel'=>'/month',
                'recurringLabel'=>'Make a recurring donation ?'
               ));

            $donationID = $wpdb->insert_id;
            echo $donationID;
            die();
        }
    }    
     /*
    *  Add shortcode to VisualComposer
    */
    public function init_vc(){
       if (defined( 'WPB_VC_VERSION' ) ) {
           global $wpdb;
           $donationsValues = array();
           $table_name = $wpdb->prefix . "adns_donations";
           $donations = $wpdb->get_results("SELECT id,title FROM $table_name ORDER BY id ASC");
           foreach ($donations as $donation) {
              $donationsValues[] = $donation->id;
           }

         vc_map( array(
           "name" => __('Attractive donation', 'adns'),
           "base" => "attractive-donation",
           "category" => 'Content',
           "icon" => 'icon_adns_donation',
           "params" => array(
              array(
                 "type" => "dropdown",
                 "holder" => "div",
                 "class" => "",
                 "heading" => __("Donation ID", 'adns'),
                 "param_name" => "donation",
                 "value"       => $donationsValues,
                 "std"         => "1",
                 "description" => __("Select a donation widget","adns")
              )
           )
        ));
       }
    }
    
    public function view_adns() {
        global $wpdb;
        $settings = $this->getSettings();

        echo '<div id="adns_loader"></div>';
        echo '<div id="adns_bootstraped" class="adns_bootstraped adns_panel">';
        wp_enqueue_style('thickbox');
        wp_enqueue_script('thickbox');

        echo '<div id="adns_donationWrapper" >';
        echo '<div class="adns_winHeader col-md-12 palette palette-turquoise">
               <div class="dashicons-before dashicons-welcome-learn-more" style="float: left;margin-right: 8px;"><br></div>WP Attractive Donations System';
        echo '<div class="btn-toolbar">';
        echo '<div class="btn-group">';
        echo '<a class="btn btn-primary" onclick="adns_returnToList();" href="javascript:" data-toggle="tooltip2" title="' . __('Return to the Donation list', 'adns') . '" data-placement="left"><span class="glyphicon glyphicon-list"></span></a>';
        echo '</div>';
        echo '</div>'; // eof toolbar
        echo '</div>'; // eof adns_winHeader
        echo '<div class="clearfix"></div>';


        echo '<div id="adns_panelDonationsList">';
        echo '<div class="container-fluid adns_container" style="max-width: 90%;margin: 0 auto;margin-top: 18px;">';
        echo '<div class="col-md-12">';
        
        echo '<div role="tabpanel">';
        echo '<ul class="nav nav-tabs" role="tablist" >
                <li role="presentation" class="active" ><a href="#adns_donationsTabGeneral" aria-controls="general" role="tab" data-toggle="tab" ><span class="glyphicon glyphicon-th-list" ></span > ' . __('Donation widgets List', 'adns') . ' </a ></li >
                </ul >';
        echo '<div class="tab-content" style="padding-top:0px; padding-bottom:0px;">';
        echo '<div role="tabpanel" class="tab-pane active" id="adns_donationsTabGeneral" >';

        echo '<p style="text-align: right; margin-top: 18px;" id="adns_topBtns">
            <a href="javascript:" style="margin-left: 12px;margin-bottom:8px;" onclick="adns_addDonation();" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span>' . __('Add a new Donation widget', 'adns') . ' </a>
            <a href="javascript:" style="margin-left: 12px;margin-bottom:8px;" onclick=" jQuery(\'#adns_winImport\').modal(\'show\');" class="btn btn-warning"><span class="glyphicon glyphicon-import"></span>' . __('Import Donations', 'adns') . ' </a>
            <a href="javascript:" style="margin-left: 12px; margin-bottom:8px;" onclick="adns_exportDonations();" class="btn btn-default"><span class="glyphicon glyphicon-export"></span>' . __('Export all Donations', 'adns') . ' </a>
         </p>';
        
        echo '
                            <div class="table-responsive"><table id="adns_donationsList" class="table">';
        echo '<thead>';
        echo '<th>' . __('Donation title', 'adns') . '</th>';
        echo '<th>' . __('Shortcode', 'adns') . '</th>';
        echo '<th>' . __('Actions', 'adns') . '</th>';
        echo '</thead>';
        echo '<tbody>';
        $table_name = $wpdb->prefix . "adns_donations";
        $donations = $wpdb->get_results("SELECT * FROM $table_name ORDER BY id ASC");
        foreach ($donations as $donation) {
            echo '<tr data-donationid="'.$donation->id.'" >';
            echo '<td><a href="javascript:" onclick="adns_loadDonation(' . $donation->id . ');">' . $donation->title . '</a></td>';
            echo '<td><code class="adns_shortcodeCode">[attractive-donation donation="' . $donation->id . '"]</code></td>';
            echo '<td>';
            echo '<a href="javascript:" data-action="adns_loadDonation" class="btn btn-primary btn-circle " data-toggle="tooltip" title="' . __('Edit this Donation', 'adns') . '" data-placement="bottom"><span class="glyphicon glyphicon-pencil"></span></a>';
            echo '<a href="javascript:" data-action="adns_preview" class="btn btn-default btn-circle " data-toggle="tooltip" title="' . __('Preview this Donation', 'adns') . '" data-placement="bottom"><span class="glyphicon glyphicon-eye-open"></span></a>';
            echo '<a href="javascript:"  data-action="adns_duplicateDonation" class="btn btn-default btn-circle " data-toggle="tooltip" title="' . __('Duplicate this Donation', 'adns') . '" data-placement="bottom"><span class="glyphicon glyphicon-duplicate"></span></a>';
            echo '<a href="javascript:"  data-action="adns_deleteDonation" class="btn btn-danger btn-circle " data-toggle="tooltip" title="' . __('Delete this Donation', 'adns') . '" data-placement="bottom"><span class="glyphicon glyphicon-trash"></span></a>';
            echo '</td>';
            echo '</tr>';
        }
        echo '</tbody>';
        echo '</table></div>';

        echo '</div>'; // eof tab-content
        echo '</div>'; // eof adns_donationsTabGeneral
        echo '</div>'; // eof tabpanel


        echo '</div>'; // eof col-md-12
        echo '</div>'; // eof container
        echo '</div>'; // eof adns_panelDonationsList
        echo '<div class="clearfix"></div>';
        
        echo '<div id="adns_winShortcode" class="modal fade ">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title">' . __('Shortcode', 'adns') . '</h4>
                    </div>
                    <div class="modal-body">
                       <p style="margin-bottom: 8px;font-size: 16px;"><span>' . __('Integrate the Donation widget in a page', 'adns') . ':</span></p>
                       <input id="adns_shortcode_1" readonly class="adns_shortcodeInput" onclick="adns_selectPre(this);" value="[attractive-donation donation=' . "&quot;" . '1' . "&quot;" . ']"/>
                       </div>
                  </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
              </div><!-- /.modal -->';

        echo '<div id="adns_panelPreview">';
        echo '<div class="clearfix"></div>';
        echo '<div id="adns_donationFields" style="max-width: 90%;margin: 0 auto;margin-top: 18px;">';
        echo '<div role="tabpanel" >
                <p id="adns_btnPreviewContainer" class="text-right" style="">
                    <a href="javascript:" onclick="adns_showShortcodeWin();" style="margin-right: 2px;"  class="btn btn-default"><span class="glyphicon glyphicon-info-sign"></span>' . __('Shortcode', 'cfaq') . '</a>
                    <a href="javascript:" id="adns_btnPreview" class="btn btn-default"><span class="glyphicon glyphicon-eye-open"></span>' . __("View the donation", 'adns') . '</a>
                </p>
              <!--Nav tabs-->
              <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active"><a href="#adns_tabGeneral" aria-controls="general" role="tab" data-toggle="tab" ><span class="glyphicon glyphicon-cog" ></span > ' . __('Settings', 'adns') . ' </a ></li >
                <li role="presentation" class=""><a href="#adns_tabPayment" aria-controls="payment" role="tab" data-toggle="tab" ><span class="glyphicon glyphicon-usd" ></span > ' . __('Payment', 'adns') . ' </a ></li >
                <li role="presentation" class=""><a href="#adns_tabDesign" aria-controls="design" role="tab" data-toggle="tab" ><span class="glyphicon glyphicon-tint" ></span > ' . __('Design', 'adns') . ' </a ></li >
            </ul >

              <!--Tab panes-->
              <div class="tab-content" >
                <div role="tabpanel" class="tab-pane active" id="adns_tabGeneral" >
                    <div class="row-fluid">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>' . __('Title', 'adns') . '</label>
                                <input type="text" name="title" class="form-control"/>
                                <small> ' . __('This title will be displayed on top of the Donation', 'adns') . '</small>
                            </div>        
                            <div class="form-group">
                                <label>' . __('Text of the payment button', 'adns') . '</label>
                                <input type="text" name="btnPaymentTxt" class="form-control"/>
                                <small> ' . __('Something like "Offer me"', 'adns') . '</small>
                            </div>     
                             <div class="form-group" >
                                <label > ' . __('Currency', 'adns') . ' </label >
                                <input type="text"  name="currency" class="form-control" />
                                <small> ' . __('$, € , £ ...', 'adns') . ' </small>
                            </div>
                            <div class="form-group" >
                                <label > ' . __('Currency Position', 'adns') . ' </label >
                                <select  name="currencyPosition" class="form-control" >
                                    <option value="right" > ' . __('Right', 'adns') . ' </option >
                                    <option value="left" > ' . __('Left', 'adns') . ' </option >
                                </select >
                                <small> ' . __('Sets the currency position in the price', 'adns') . ' </small>
                            </div>    
                             <div class="form-group" >
                                <label > ' . __('Thousands separator', 'adns') . ' </label >
                                <input type="text"  name="thousandsSeparator" class="form-control" />
                                <small> ' . __('Enter a separator or leave empty', 'adns') . ' </small>
                            </div>
                            
                            
                            <div class="form-group" >
                                <label> ' . __('Integration type', 'adns') . ' </label>
                                <select name="displayMode" class="form-control" >
                                    <option value="" > ' . __('Default', 'adns') . ' </option >
                                    <option value="button" > ' . __('Start button', 'adns') . ' </option>
                                    <option value="modalButton" > ' . __('Modal with start button', 'adns') . ' </option>
                                    <option value="modal" > ' . __('Modal without start button', 'adns') . ' </option>
                                </select>
                                <small> ' . __('Choose a type of integration', 'adns') . ' </small>
                            </div>   
                            <div id="adns_infoModal" class="alert alert-info">
                                <p>'.__('Simply paste the shortcode on the wanted page, then add this CSS class to the link which should open the modal window','adns').' : <br/>"<strong>attractive-donation-1</strong>"</p>
                            </div>
                            
                            <div class="form-group">
                                <label>' . __('Label of the start button', 'adns') . '</label>
                                <input type="text" name="introBtnLabel" class="form-control"/>
                                <small> ' . __('Something like "Do you like this website ? Support us !"', 'adns') . '</small>
                            </div>     
                            

<div class="form-group">
            <label>' . __('Icon of the start button', 'adns') . ' : </label>
            <input type="hidden" class="form-control" name="introBtnIcon" />
        <div class="btn-group">
        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown">
        '.__('Select an icon','adns').'<span class="caret"></span>
        </button>
        <ul class="dropdown-menu" role="menu" id="adns_iconslist">
          <li><a href="javascript:" data-icon="fa-adjust"> <i class="fa fa-adjust"></i></a></li>
<li><a href="javascript:" data-icon="fa-asterisk"> <i class="fa fa-asterisk"></i></a></li>
<li><a href="javascript:" data-icon="fa-bar-chart"> <i class="fa fa-bar-chart"></i></a></li>
<li><a href="javascript:" data-icon="fa-barcode"> <i class="fa fa-barcode"></i></a></li>
<li><a href="javascript:" data-icon="fa-beaker"> <i class="fa fa-beaker"></i></a></li>
<li><a href="javascript:" data-icon="fa-beer"> <i class="fa fa-beer"></i></a></li>
<li><a href="javascript:" data-icon="fa-bell"> <i class="fa fa-bell"></i></a></li>
<li><a href="javascript:" data-icon="fa-bolt"> <i class="fa fa-bolt"></i></a></li>
<li><a href="javascript:" data-icon="fa-book"> <i class="fa fa-book"></i></a></li>
<li><a href="javascript:" data-icon="fa-bookmark"> <i class="fa fa-bookmark"></i></a></li>
<li><a href="javascript:" data-icon="fa-briefcase"> <i class="fa fa-briefcase"></i></a></li>
<li><a href="javascript:" data-icon="fa-bullhorn"> <i class="fa fa-bullhorn"></i></a></li>
<li><a href="javascript:" data-icon="fa-calendar"> <i class="fa fa-calendar"></i></a></li>
<li><a href="javascript:" data-icon="fa-camera"> <i class="fa fa-camera"></i></a></li>
<li><a href="javascript:" data-icon="fa-camera-retro"> <i class="fa fa-camera-retro"></i></a></li>
<li><a href="javascript:" data-icon="fa-certificate"> <i class="fa fa-certificate"></i></a></li>
<li><a href="javascript:" data-icon="fa-check"> <i class="fa fa-check"></i></a></li>
<li><a href="javascript:" data-icon="fa-circle"> <i class="fa fa-circle"></i></a></li>
<li><a href="javascript:" data-icon="fa-cloud"> <i class="fa fa-cloud"></i></a></li>
<li><a href="javascript:" data-icon="fa-cloud-download"> <i class="fa fa-cloud-download"></i></a></li>
<li><a href="javascript:" data-icon="fa-cloud-upload"> <i class="fa fa-cloud-upload"></i></a></li>
<li><a href="javascript:" data-icon="fa-coffee"> <i class="fa fa-coffee"></i></a></li>
<li><a href="javascript:" data-icon="fa-cog"> <i class="fa fa-cog"></i></a></li>
<li><a href="javascript:" data-icon="fa-cogs"> <i class="fa fa-cogs"></i></a></li>
<li><a href="javascript:" data-icon="fa-comment"> <i class="fa fa-comment"></i></a></li>
<li><a href="javascript:" data-icon="fa-comments"> <i class="fa fa-comments"></i></a></li>
<li><a href="javascript:" data-icon="fa-credit-card"> <i class="fa fa-credit-card"></i></a></li>
<li><a href="javascript:" data-icon="fa-dashboard"> <i class="fa fa-dashboard"></i></a></li>
<li><a href="javascript:" data-icon="fa-desktop"> <i class="fa fa-desktop"></i></a></li>
<li><a href="javascript:" data-icon="fa-download"> <i class="fa fa-download"></i></a></li>
<li><a href="javascript:" data-icon="fa-edit"> <i class="fa fa-edit"></i></a></li>
<li><a href="javascript:" data-icon="fa-envelope"> <i class="fa fa-envelope"></i></a></li>
<li><a href="javascript:" data-icon="fa-exchange"> <i class="fa fa-exchange"></i></a></li>
<li><a href="javascript:" data-icon="fa-external-link"> <i class="fa fa-external-link"></i></a></li>
<li><a href="javascript:" data-icon="fa-eye-close"> <i class="fa fa-eye-close"></i></a></li>
<li><a href="javascript:" data-icon="fa-eye-open"> <i class="fa fa-eye-open"></i></a></li>
<li><a href="javascript:" data-icon="fa-facetime-video"> <i class="fa fa-facetime-video"></i></a></li>
<li><a href="javascript:" data-icon="fa-fighter-jet"> <i class="fa fa-fighter-jet"></i></a></li>
<li><a href="javascript:" data-icon="fa-film"> <i class="fa fa-film"></i></a></li>
<li><a href="javascript:" data-icon="fa-filter"> <i class="fa fa-filter"></i></a></li>
<li><a href="javascript:" data-icon="fa-fire"> <i class="fa fa-fire"></i></a></li>
<li><a href="javascript:" data-icon="fa-flag"> <i class="fa fa-flag"></i></a></li>
<li><a href="javascript:" data-icon="fa-folder-close"> <i class="fa fa-folder-close"></i></a></li>
<li><a href="javascript:" data-icon="fa-folder-open"> <i class="fa fa-folder-open"></i></a></li>
<li><a href="javascript:" data-icon="fa-folder-close-alt"> <i class="fa fa-folder-close-alt"></i></a></li>
<li><a href="javascript:" data-icon="fa-folder-open-alt"> <i class="fa fa-folder-open-alt"></i></a></li>
<li><a href="javascript:" data-icon="fa-food"> <i class="fa fa-food"></i></a></li>
<li><a href="javascript:" data-icon="fa-gift"> <i class="fa fa-gift"></i></a></li>
<li><a href="javascript:" data-icon="fa-glass"> <i class="fa fa-glass"></i></a></li>
<li><a href="javascript:" data-icon="fa-globe"> <i class="fa fa-globe"></i></a></li>
<li><a href="javascript:" data-icon="fa-group"> <i class="fa fa-group"></i></a></li>
<li><a href="javascript:" data-icon="fa-hdd"> <i class="fa fa-hdd"></i></a></li>
<li><a href="javascript:" data-icon="fa-headphones"> <i class="fa fa-headphones"></i></a></li>
<li><a href="javascript:" data-icon="fa-heart"> <i class="fa fa-heart"></i></a></li>
<li><a href="javascript:" data-icon="fa-heart-empty"> <i class="fa fa-heart-empty"></i></a></li>
<li><a href="javascript:" data-icon="fa-home"> <i class="fa fa-home"></i></a></li>
<li><a href="javascript:" data-icon="fa-inbox"> <i class="fa fa-inbox"></i></a></li>
<li><a href="javascript:" data-icon="fa-info-sign"> <i class="fa fa-info-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-key"> <i class="fa fa-key"></i></a></li>
<li><a href="javascript:" data-icon="fa-leaf"> <i class="fa fa-leaf"></i></a></li>
<li><a href="javascript:" data-icon="fa-laptop"> <i class="fa fa-laptop"></i></a></li>
<li><a href="javascript:" data-icon="fa-legal"> <i class="fa fa-legal"></i></a></li>
<li><a href="javascript:" data-icon="fa-lemon"> <i class="fa fa-lemon"></i></a></li>
<li><a href="javascript:" data-icon="fa-lightbulb"> <i class="fa fa-lightbulb"></i></a></li>
<li><a href="javascript:" data-icon="fa-lock"> <i class="fa fa-lock"></i></a></li>
<li><a href="javascript:" data-icon="fa-unlock"> <i class="fa fa-unlock"></i></a></li>
<li><a href="javascript:" data-icon="fa-magic"> <i class="fa fa-magic"></i></a></li>
<li><a href="javascript:" data-icon="fa-magnet"> <i class="fa fa-magnet"></i></a></li>
<li><a href="javascript:" data-icon="fa-map-marker"> <i class="fa fa-map-marker"></i></a></li>
<li><a href="javascript:" data-icon="fa-minus"> <i class="fa fa-minus"></i></a></li>
<li><a href="javascript:" data-icon="fa-minus-sign"> <i class="fa fa-minus-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-mobile-phone"> <i class="fa fa-mobile-phone"></i></a></li>
<li><a href="javascript:" data-icon="fa-money"> <i class="fa fa-money"></i></a></li>
<li><a href="javascript:" data-icon="fa-move"> <i class="fa fa-move"></i></a></li>
<li><a href="javascript:" data-icon="fa-music"> <i class="fa fa-music"></i></a></li>
<li><a href="javascript:" data-icon="fa-off"> <i class="fa fa-off"></i></a></li>
<li><a href="javascript:" data-icon="fa-ok"> <i class="fa fa-ok"></i></a></li>
<li><a href="javascript:" data-icon="fa-ok-circle"> <i class="fa fa-ok-circle"></i></a></li>
<li><a href="javascript:" data-icon="fa-ok-sign"> <i class="fa fa-ok-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-pencil"> <i class="fa fa-pencil"></i></a></li>
<li><a href="javascript:" data-icon="fa-picture"> <i class="fa fa-picture"></i></a></li>
<li><a href="javascript:" data-icon="fa-plane"> <i class="fa fa-plane"></i></a></li>
<li><a href="javascript:" data-icon="fa-plus"> <i class="fa fa-plus"></i></a></li>
<li><a href="javascript:" data-icon="fa-plus-sign"> <i class="fa fa-plus-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-print"> <i class="fa fa-print"></i></a></li>
<li><a href="javascript:" data-icon="fa-pushpin"> <i class="fa fa-pushpin"></i></a></li>
<li><a href="javascript:" data-icon="fa-qrcode"> <i class="fa fa-qrcode"></i></a></li>
<li><a href="javascript:" data-icon="fa-question-sign"> <i class="fa fa-question-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-quote-left"> <i class="fa fa-quote-left"></i></a></li>
<li><a href="javascript:" data-icon="fa-quote-right"> <i class="fa fa-quote-right"></i></a></li>
<li><a href="javascript:" data-icon="fa-random"> <i class="fa fa-random"></i></a></li>
<li><a href="javascript:" data-icon="fa-refresh"> <i class="fa fa-refresh"></i></a></li>
<li><a href="javascript:" data-icon="fa-remove"> <i class="fa fa-remove"></i></a></li>
<li><a href="javascript:" data-icon="fa-remove-circle"> <i class="fa fa-remove-circle"></i></a></li>
<li><a href="javascript:" data-icon="fa-remove-sign"> <i class="fa fa-remove-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-reorder"> <i class="fa fa-reorder"></i></a></li>
<li><a href="javascript:" data-icon="fa-reply"> <i class="fa fa-reply"></i></a></li>
<li><a href="javascript:" data-icon="fa-resize-horizontal"> <i class="fa fa-resize-horizontal"></i></a></li>
<li><a href="javascript:" data-icon="fa-resize-vertical"> <i class="fa fa-resize-vertical"></i></a></li>
<li><a href="javascript:" data-icon="fa-retweet"> <i class="fa fa-retweet"></i></a></li>
<li><a href="javascript:" data-icon="fa-road"> <i class="fa fa-road"></i></a></li>
<li><a href="javascript:" data-icon="fa-rss"> <i class="fa fa-rss"></i></a></li>
<li><a href="javascript:" data-icon="fa-screenshot"> <i class="fa fa-screenshot"></i></a></li>
<li><a href="javascript:" data-icon="fa-search"> <i class="fa fa-search"></i></a></li>
<li><a href="javascript:" data-icon="fa-share"> <i class="fa fa-share"></i></a></li>
<li><a href="javascript:" data-icon="fa-share-alt"> <i class="fa fa-share-alt"></i></a></li>
<li><a href="javascript:" data-icon="fa-shopping-cart"> <i class="fa fa-shopping-cart"></i></a></li>
<li><a href="javascript:" data-icon="fa-signal"> <i class="fa fa-signal"></i></a></li>
<li><a href="javascript:" data-icon="fa-signin"> <i class="fa fa-signin"></i></a></li>
<li><a href="javascript:" data-icon="fa-signout"> <i class="fa fa-signout"></i></a></li>
<li><a href="javascript:" data-icon="fa-sitemap"> <i class="fa fa-sitemap"></i></a></li>
<li><a href="javascript:" data-icon="fa-sort"> <i class="fa fa-sort"></i></a></li>
<li><a href="javascript:" data-icon="fa-sort-down"> <i class="fa fa-sort-down"></i></a></li>
<li><a href="javascript:" data-icon="fa-sort-up"> <i class="fa fa-sort-up"></i></a></li>
<li><a href="javascript:" data-icon="fa-spinner"> <i class="fa fa-spinner"></i></a></li>
<li><a href="javascript:" data-icon="fa-star"> <i class="fa fa-star"></i></a></li>
<li><a href="javascript:" data-icon="fa-star-empty"> <i class="fa fa-star-empty"></i></a></li>
<li><a href="javascript:" data-icon="fa-star-half"> <i class="fa fa-star-half"></i></a></li>
<li><a href="javascript:" data-icon="fa-tablet"> <i class="fa fa-tablet"></i></a></li>
<li><a href="javascript:" data-icon="fa-tag"> <i class="fa fa-tag"></i></a></li>
<li><a href="javascript:" data-icon="fa-tags"> <i class="fa fa-tags"></i></a></li>
<li><a href="javascript:" data-icon="fa-tasks"> <i class="fa fa-tasks"></i></a></li>
<li><a href="javascript:" data-icon="fa-thumbs-down"> <i class="fa fa-thumbs-down"></i></a></li>
<li><a href="javascript:" data-icon="fa-thumbs-up"> <i class="fa fa-thumbs-up"></i></a></li>
<li><a href="javascript:" data-icon="fa-time"> <i class="fa fa-time"></i></a></li>
<li><a href="javascript:" data-icon="fa-tint"> <i class="fa fa-tint"></i></a></li>
<li><a href="javascript:" data-icon="fa-trash"> <i class="fa fa-trash"></i></a></li>
<li><a href="javascript:" data-icon="fa-trophy"> <i class="fa fa-trophy"></i></a></li>
<li><a href="javascript:" data-icon="fa-truck"> <i class="fa fa-truck"></i></a></li>
<li><a href="javascript:" data-icon="fa-umbrella"> <i class="fa fa-umbrella"></i></a></li>
<li><a href="javascript:" data-icon="fa-upload"> <i class="fa fa-upload"></i></a></li>
<li><a href="javascript:" data-icon="fa-upload-alt"> <i class="fa fa-upload-alt"></i></a></li>
<li><a href="javascript:" data-icon="fa-user"> <i class="fa fa-user"></i></a></li>
<li><a href="javascript:" data-icon="fa-user-md"> <i class="fa fa-user-md"></i></a></li>
<li><a href="javascript:" data-icon="fa-volume-off"> <i class="fa fa-volume-off"></i></a></li>
<li><a href="javascript:" data-icon="fa-volume-down"> <i class="fa fa-volume-down"></i></a></li>
<li><a href="javascript:" data-icon="fa-volume-up"> <i class="fa fa-volume-up"></i></a></li>
<li><a href="javascript:" data-icon="fa-warning-sign"> <i class="fa fa-warning-sign"></i></a></li>
<li><a href="javascript:" data-icon="fa-wrench"> <i class="fa fa-wrench"></i></a></li>
<li><a href="javascript:" data-icon="fa-zoom-in"> <i class="fa fa-zoom-in"></i></a></li>
<li><a href="javascript:" data-icon="fa-zoom-out"> <i class="fa fa-zoom-out"></i></a></li>
    <li><a href="javascript:" data-icon="fa-file"> <i class="fa fa-file"></i></a></li>
    <li><a href="javascript:" data-icon="fa-file-alt"> <i class="fa fa-file-alt"></i></a></li>
    <li><a href="javascript:" data-icon="fa-cut"> <i class="fa fa-cut"></i></a></li>
    <li><a href="javascript:" data-icon="fa-copy"> <i class="fa fa-copy"></i></a></li>
    <li><a href="javascript:" data-icon="fa-paste"> <i class="fa fa-paste"></i></a></li>
    <li><a href="javascript:" data-icon="fa-save"> <i class="fa fa-save"></i></a></li>
    <li><a href="javascript:" data-icon="fa-undo"> <i class="fa fa-undo"></i></a></li>
    <li><a href="javascript:" data-icon="fa-repeat"> <i class="fa fa-repeat"></i></a></li>
    <li><a href="javascript:" data-icon="fa-text-height"> <i class="fa fa-text-height"></i></a></li>
    <li><a href="javascript:" data-icon="fa-text-width"> <i class="fa fa-text-width"></i></a></li>
    <li><a href="javascript:" data-icon="fa-align-left"> <i class="fa fa-align-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-align-center"> <i class="fa fa-align-center"></i></a></li>
    <li><a href="javascript:" data-icon="fa-align-right"> <i class="fa fa-align-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-align-justify"> <i class="fa fa-align-justify"></i></a></li>
    <li><a href="javascript:" data-icon="fa-indent-left"> <i class="fa fa-indent-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-indent-right"> <i class="fa fa-indent-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-font"> <i class="fa fa-font"></i></a></li>
    <li><a href="javascript:" data-icon="fa-bold"> <i class="fa fa-bold"></i></a></li>
    <li><a href="javascript:" data-icon="fa-italic"> <i class="fa fa-italic"></i></a></li>
    <li><a href="javascript:" data-icon="fa-strikethrough"> <i class="fa fa-strikethrough"></i></a></li>
    <li><a href="javascript:" data-icon="fa-underline"> <i class="fa fa-underline"></i></a></li>
    <li><a href="javascript:" data-icon="fa-link"> <i class="fa fa-link"></i></a></li>
    <li><a href="javascript:" data-icon="fa-paper-clip"> <i class="fa fa-paper-clip"></i></a></li>
    <li><a href="javascript:" data-icon="fa-columns"> <i class="fa fa-columns"></i></a></li>
    <li><a href="javascript:" data-icon="fa-table"> <i class="fa fa-table"></i></a></li>
    <li><a href="javascript:" data-icon="fa-th-large"> <i class="fa fa-th-large"></i></a></li>
    <li><a href="javascript:" data-icon="fa-th"> <i class="fa fa-th"></i></a></li>
    <li><a href="javascript:" data-icon="fa-th-list"> <i class="fa fa-th-list"></i></a></li>
    <li><a href="javascript:" data-icon="fa-list"> <i class="fa fa-list"></i></a></li>
    <li><a href="javascript:" data-icon="fa-list-ol"> <i class="fa fa-list-ol"></i></a></li>
    <li><a href="javascript:" data-icon="fa-list-ul"> <i class="fa fa-list-ul"></i></a></li>
    <li><a href="javascript:" data-icon="fa-list-alt"> <i class="fa fa-list-alt"></i></a></li>
    <li><a href="javascript:" data-icon="fa-angle-left"> <i class="fa fa-angle-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-angle-right"> <i class="fa fa-angle-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-angle-up"> <i class="fa fa-angle-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-angle-down"> <i class="fa fa-angle-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-arrow-down"> <i class="fa fa-arrow-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-arrow-left"> <i class="fa fa-arrow-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-arrow-right"> <i class="fa fa-arrow-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-arrow-up"> <i class="fa fa-arrow-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-caret-down"> <i class="fa fa-caret-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-caret-left"> <i class="fa fa-caret-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-caret-right"> <i class="fa fa-caret-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-caret-up"> <i class="fa fa-caret-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-chevron-down"> <i class="fa fa-chevron-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-chevron-left"> <i class="fa fa-chevron-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-chevron-right"> <i class="fa fa-chevron-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-chevron-up"> <i class="fa fa-chevron-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle-arrow-down"> <i class="fa fa-circle-arrow-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle-arrow-left"> <i class="fa fa-circle-arrow-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle-arrow-right"> <i class="fa fa-circle-arrow-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle-arrow-up"> <i class="fa fa-circle-arrow-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-double-angle-left"> <i class="fa fa-double-angle-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-double-angle-right"> <i class="fa fa-double-angle-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-double-angle-up"> <i class="fa fa-double-angle-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-double-angle-down"> <i class="fa fa-double-angle-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-hand-down"> <i class="fa fa-hand-down"></i></a></li>
    <li><a href="javascript:" data-icon="fa-hand-left"> <i class="fa fa-hand-left"></i></a></li>
    <li><a href="javascript:" data-icon="fa-hand-right"> <i class="fa fa-hand-right"></i></a></li>
    <li><a href="javascript:" data-icon="fa-hand-up"> <i class="fa fa-hand-up"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle"> <i class="fa fa-circle"></i></a></li>
    <li><a href="javascript:" data-icon="fa-circle-blank"> <i class="fa fa-circle-blank"></i></a></li>
    <li><a href="javascript:" data-icon="fa-play-circle"> <i class="fa fa-play-circle"></i></a></li>
    <li><a href="javascript:" data-icon="fa-play"> <i class="fa fa-play"></i></a></li>
    <li><a href="javascript:" data-icon="fa-pause"> <i class="fa fa-pause"></i></a></li>
    <li><a href="javascript:" data-icon="fa-stop"> <i class="fa fa-stop"></i></a></li>
    <li><a href="javascript:" data-icon="fa-step-backward"> <i class="fa fa-step-backward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-fast-backward"> <i class="fa fa-fast-backward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-backward"> <i class="fa fa-backward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-forward"> <i class="fa fa-forward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-fast-forward"> <i class="fa fa-fast-forward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-step-forward"> <i class="fa fa-step-forward"></i></a></li>
    <li><a href="javascript:" data-icon="fa-eject"> <i class="fa fa-eject"></i></a></li>
    <li><a href="javascript:" data-icon="fa-fullscreen"> <i class="fa fa-fullscreen"></i></a></li>
    <li><a href="javascript:" data-icon="fa-resize-full"> <i class="fa fa-resize-full"></i></a></li>
    <li><a href="javascript:" data-icon="fa-resize-small"> <i class="fa fa-resize-small"></i></a></li>
    <li><a href="javascript:" data-icon="fa-phone"> <i class="fa fa-phone"></i></a></li>
    <li><a href="javascript:" data-icon="fa-phone-sign"> <i class="fa fa-phone-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-facebook"> <i class="fa fa-facebook"></i></a></li>
    <li><a href="javascript:" data-icon="fa-facebook-sign"> <i class="fa fa-facebook-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-twitter"> <i class="fa fa-twitter"></i></a></li>
    <li><a href="javascript:" data-icon="fa-twitter-sign"> <i class="fa fa-twitter-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-github"> <i class="fa fa-github"></i></a></li>
    <li><a href="javascript:" data-icon="fa-github-alt"> <i class="fa fa-github-alt"></i></a></li>
    <li><a href="javascript:" data-icon="fa-github-sign"> <i class="fa fa-github-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-linkedin"> <i class="fa fa-linkedin"></i></a></li>
    <li><a href="javascript:" data-icon="fa-linkedin-sign"> <i class="fa fa-linkedin-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-pinterest"> <i class="fa fa-pinterest"></i></a></li>
    <li><a href="javascript:" data-icon="fa-pinterest-sign"> <i class="fa fa-pinterest-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-google-plus"> <i class="fa fa-google-plus"></i></a></li>
    <li><a href="javascript:" data-icon="fa-google-plus-sign"> <i class="fa fa-google-plus-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-sign-blank"> <i class="fa fa-sign-blank"></i></a></li>
    <li><a href="javascript:" data-icon="fa-ambulance"> <i class="fa fa-ambulance"></i></a></li>
    <li><a href="javascript:" data-icon="fa-h-sign"> <i class="fa fa-h-sign"></i></a></li>
    <li><a href="javascript:" data-icon="fa-hospital"> <i class="fa fa-hospital"></i></a></li>
    <li><a href="javascript:" data-icon="fa-medkit"> <i class="fa fa-medkit"></i></a></li>
    <li><a href="javascript:" data-icon="fa-plus-sign-alt"> <i class="fa fa-plus-sign-alt"></i></a></li>
    <li><a href="javascript:" data-icon="fa-stethoscope"> <i class="fa fa-stethoscope"></i></a></li>
    <li><a href="javascript:" data-icon="fa-user-md"> <i class="fa fa-user-md"></i></a></li>
    </ul>
</div>
</div>
                                                              
                        </div>
                        <div class="col-md-6">    
                        
                            <div class="form-group" >
                                <label > ' . __('Ajax navigation support', 'adns') . ' </label >
                                <input type="checkbox"  name="loadAllPages" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" class=""   />
                                <small> ' . __('Activate this option if your theme uses ajax navigation to display pages', 'adns') . ' </small>
                            </div>     
                              <div class="form-group">
                                <label>' . __('Description', 'adns') . '</label>
                                <div id="adns_donationDescription"></div>
                                <small> ' . __('This description will be displayed under the title', 'adns') . '</small>
                            </div>    
                               
                        </div>
                        <div class="col-md-12">
                            <p style="margin-bottom: 4px;"><label>' . __('Steps of the progress bar', 'adns') . ' :</label></p>    
                            <div class="table-responsive">
                            <table id="adns_stepsTable" class="table table-striped">
                                <thead>
                                    <tr>
                                        <th style="max-width: 158px;">'.__('Amount','adns').'</th>
                                        <th>'.__('Text','adns').'</th>
                                        <th>'.__('Image','adns').'</th>
                                        <th>'.__('Use as default','adns').'</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                     <tr class="static">
                                        <td><div class="form-group"><input type="number" id="step_new_price" style="width: 105px;" name="price" step="any" value="1" class="form-control" min="1" placeholder="' . __('Amount', 'adns') . '"/></div></td>
                                        <td><div class="form-group"><input type="text" id="step_new_text" name="content" step="any" class="form-control" value="0" placeholder="' . __('Text', 'adns') . '"/></div></td>
                                        <td>
                                        <input type="text" name="image" class="form-control " style="display: none;" value="" />
                                        <a class="btn btn-default imageBtn" style=" display: inline-block; margin-top:0px;"><span class="glyphicon glyphicon-picture" style="margin-right:8px;"></span>'.__('Edit Image').'</a>                                      
                                        </td>
                                        <td>
                                            <!--<input type="checkbox" id="step_startStep" style="display: none;" name="startStep" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />-->
                                        </td>
                                        <td style="width: 200px;"><a href="javascript:" onclick="adns_saveStep(0);" class="btn btn-default"><span class="glyphicon glyphicon-plus" style="margin-right:8px;"></span>' . __('Add this step', 'adns') . '</a></td>
                                      </tr>
                                </tbody>
                            </table>       
                            </div>      
                        </div>
                        <div class="clearfix"></div>   
                             <p style="text-align:center;"><a href="javascript:" class="btn btn-primary" onclick="adns_saveDonation();"><span class="glyphicon glyphicon-floppy-disk"></span>' . __('Save', 'adns') . '</a>
                        <div class="clearfix"></div>                          
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane " id="adns_tabPayment" >
                    <div class="row-fluid">
                        <div class="col-md-6"><div class="form-group" >
                                <label > ' . __('Use paypal payment', 'adns') . ' </label >
                                <input type="checkbox"  name="use_paypal" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                                <small> ' . __('If this option is enabled, the payment will be done using Paypal', 'adns') . ' </small>                            
                            </div>                            
                            <div id="adns_formPaypal" >
                                <div class="form-group" >
                                    <label > ' . __('Paypal email', 'adns') . ' </label >
                                    <input type="text" name="paypal_email" class="form-control" />
                                    <small> ' . __('Enter your paypal email', 'adns') . ' </small>
                                </div>
                                <div class="form-group" >
                                    <label > ' . __('Use paypal Sandbox', 'adns') . ' </label >
                                    <input type="checkbox"  name="paypal_useSandbox" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                                    <small> ' . __('Enable Sandbox only to test with fake payments', 'adns') . ' </small> 
                                </div>
                                <div class="form-group" >
                                    <label > ' . __('Paypal currency', 'adns') . ' </label >
                                    <select name="paypal_currency" class="form-control" />
                                        <option value="AUD">AUD</option>
                                        <option value="CAD">CAD</option>
                                        <option value="CZK">CZK</option>
                                        <option value="DKK">DKK</option>
                                        <option value="EUR">EUR</option>
                                        <option value="HKD">HKD</option>
                                        <option value="HUF">HUF</option>
                                        <option value="JPY">JPY</option>
                                        <option value="NOK">NOK</option>
                                        <option value="MXN">MXN </option>
                                        <option value="NZD">NZD</option>
                                        <option value="PLN">PLN</option>
                                        <option value="GBP">GBP</option>
                                        <option value="SGD">SGD</option>
                                        <option value="SEK">SEK</option>
                                        <option value="CHF">CHF</option>
                                        <option value="USD">USD</option>
                                        <option value="RUB">RUB</option>
                                        <option value="PHP">PHP</option>
                                        <option value="ILS">ILS</option>
                                        <option value="BRL">BRL</option>
                                        <option value="MYR">MYR</option>   
                                        <option value="THB">THB</option>                                 
                                    </select >
                                    <small> ' . __('Select the wanted currency', 'adns') . ' </small>
                                </div>
                                
                                <div class="form-group" >
                                    <label > ' . __('Allow recurring donation ?', 'adns') . ' </label >
                                    <input type="checkbox" id="paypal_isSubscription"  name="isSubscription" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                                    <small> ' . __('If activated, the payment can be recurring', 'adns') . ' </small> 
                                </div>
                                 <div class="form-group" >
                                <label > ' . __('Frequency of recurring payment','adns') . ' </label >
                                <select name="paypal_subsFrequencyType" class="form-control" />
                                    <option value="D">' . __('day(s)', 'adns') . '</option>
                                    <option value="W">' . __('week(s)', 'adns') . '</option>
                                    <option value="M">' . __('month(s)', 'adns') . '</option>
                                    <option value="Y">' . __('year(s)', 'adns') . '</option>
                                </select>
                                <small> ' . __('Payment will be renewed every ... ?', 'adns') . ' </small>
                            </div>
                                <div class="form-group" >
                                    <label > ' . __('Subscription text', 'adns') . ' </label >
                                    <input type="text" id="paypal_subscriptionLabel" name="subscriptionLabel" class="form-control" />
                                    <small> ' . __('Something like "/month"', 'adns') . ' </small>
                                </div>
                                <div class="form-group" >
                                    <label > ' . __('Recurring choice text', 'adns') . ' </label >
                                    <input type="text" id="paypal_recurringLabel" name="recurringLabel" class="form-control" />
                                    <small> ' . __('Something like "Make a recurring donation ?"', 'adns') . ' </small>
                                </div>
                            
                            </div>

                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group" >
                                    <label > ' . __('Use stripe payment', 'adns') . ' </label >
                                    <input type="checkbox"  name="use_stripe" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                                    <small> ' . __('If this option is enabled, the payment will be done using Stripe', 'adns') . ' </small>                            
                                </div>
                            <div id="adns_formStripe" >
                                <div class="form-group adns_stripeField" >
                                    <label > ' . __('Payment button short label', 'adns') . ' </label >
                                    <input type="text" name="stripe_btnLabel" class="form-control" />
                                    <small> ' . __('Something like "Pay"', 'adns') . ' </small>
                                </div>
                                 <div class="form-group" >
                                    <label > ' . __('Thank you message', 'adns') . ' </label >
                                    <input type="text"  name="finalMessage"  class="form-control" />
                                    <small> ' . __('Something like "Thank you very much !"', 'adns') . ' </small>
                                </div>    
                                <div class="form-group adns_stripeField" >
                                    <label > ' . __('Stripe secret key', 'adns') . ' </label >
                                    <input type="text" name="stripe_secretKey" class="form-control" />
                                    <a href="https://dashboard.stripe.com/account/apikeys" target="_blank" class="btn btn-primary btn-circle"><span class="glyphicon glyphicon-info-sign"></span></a>
                                    <small> ' . __('Fill your stripe secret key', 'adns') . ' </small>
                                </div>   
                                <div class="form-group adns_stripeField" >
                                    <label > ' . __('Stripe publishable key', 'adns') . ' </label >
                                    <input type="text" name="stripe_publishKey" class="form-control" />
                                    <a href="https://dashboard.stripe.com/account/apikeys" target="_blank" class="btn btn-primary btn-circle"><span class="glyphicon glyphicon-info-sign"></span></a>
                                    <small> ' . __('Enter your stripe publishable key', 'adns') . ' </small>
                                </div>   
                                 <div class="form-group" >
                                    <label> ' . __('Stripe currency', 'adns') . ' </label>
                                    <select name="stripe_currency" class="form-control" />
                                    <option value="AED">United Arab Emirates Dirham
                                    </option>
                                    <option value="ALL">Albanian Lek
                                    </option>
                                    <option value="ANG">Netherlands Antillean Gulden
                                    </option>
                                    <option value="ARS">Argentine Peso
                                    </option>
                                    <option value="AUD">Australian Dollar
                                    </option>
                                    <option value="AWG">Aruban Florin
                                    </option>
                                    <option value="BBD">Barbadian Dollar
                                    </option>
                                    <option value="BDT">Bangladeshi Taka
                                    </option>
                                    <option value="BIF">Burundian Franc
                                    </option>
                                    <option value="BMD">Bermudian Dollar
                                    </option>
                                    <option value="BND">Brunei Dollar
                                    </option>
                                    <option value="BOB">Bolivian Boliviano
                                    </option>
                                    <option value="BRL">Brazilian Real
                                    </option>
                                    <option value="BSD">Bahamian Dollar
                                    </option>
                                    <option value="BWP">Botswana Pula
                                    </option>
                                    <option value="BZD">Belize Dollar
                                    </option>
                                    <option value="CAD">Canadian Dollar
                                    </option>
                                    <option value="CHF">Swiss Franc
                                    </option>
                                    <option value="CLP">Chilean Peso
                                    </option>
                                    <option value="CNY">Chinese Renminbi Yuan
                                    </option>
                                    <option value="COP">Colombian Peso
                                    </option>
                                    <option value="CRC">Costa Rican Colón
                                    </option>
                                    <option value="CVE">Cape Verdean Escudo
                                    </option>
                                    <option value="CZK">Czech Koruna
                                    </option>
                                    <option value="DJF">Djiboutian Franc
                                    </option>
                                    <option value="DKK">Danish Krone
                                    </option>
                                    <option value="DOP">Dominican Peso
                                    </option>
                                    <option value="DZD">Algerian Dinar
                                    </option>
                                    <option value="EGP">Egyptian Pound
                                    </option>
                                    <option value="ETB">Ethiopian Birr
                                    </option>
                                    <option value="EUR">Euro
                                    </option>
                                    <option value="FJD">Fijian Dollar
                                    </option>
                                    <option value="FKP">Falkland Islands Pound
                                    </option>
                                    <option value="GBP">British Pound
                                    </option>
                                    <option value="GIP">Gibraltar Pound
                                    </option>
                                    <option value="GMD">Gambian Dalasi
                                    </option>
                                    <option value="GNF">Guinean Franc
                                    </option>
                                    <option value="GTQ">Guatemalan Quetzal
                                    </option>
                                    <option value="GYD">Guyanese Dollar
                                    </option>
                                    <option value="HKD">Hong Kong Dollar
                                    </option>
                                    <option value="HNL">Honduran Lempira
                                    </option>
                                    <option value="HRK">Croatian Kuna
                                    </option>
                                    <option value="HTG">Haitian Gourde
                                    </option>
                                    <option value="HUF">Hungarian Forint
                                    </option>
                                    <option value="IDR">Indonesian Rupiah
                                    </option>
                                    <option value="ILS">Israeli New Sheqel
                                    </option>
                                    <option value="INR">Indian Rupee
                                    </option>
                                    <option value="ISK">Icelandic Króna
                                    </option>
                                    <option value="JMD">Jamaican Dollar
                                    </option>
                                    <option value="JPY">Japanese Yen
                                    </option>
                                    <option value="KES">Kenyan Shilling
                                    </option>
                                    <option value="KHR">Cambodian Riel
                                    </option>
                                    <option value="KMF">Comorian Franc
                                    </option>
                                    <option value="KRW">South Korean Won
                                    </option>
                                    <option value="KYD">Cayman Islands Dollar
                                    </option>
                                    <option value="KZT">Kazakhstani Tenge
                                    </option>
                                    <option value="LAK">Lao Kip
                                    </option>
                                    <option value="LBP">Lebanese Pound
                                    </option>
                                    <option value="LKR">Sri Lankan Rupee
                                    </option>
                                    <option value="LRD">Liberian Dollar
                                    </option>
                                    <option value="MAD">Moroccan Dirham
                                    </option>
                                    <option value="MDL">Moldovan Leu
                                    </option>
                                    <option value="MNT">Mongolian Tögrög
                                    </option>
                                    <option value="MOP">Macanese Pataca
                                    </option>
                                    <option value="MRO">Mauritanian Ouguiya
                                    </option>
                                    <option value="MUR">Mauritian Rupee
                                    </option>
                                    <option value="MVR">Maldivian Rufiyaa
                                    </option>
                                    <option value="MWK">Malawian Kwacha
                                    </option>
                                    <option value="MXN">Mexican Peso
                                    </option>
                                    <option value="MYR">Malaysian Ringgit
                                    </option>
                                    <option value="NAD">Namibian Dollar
                                    </option>
                                    <option value="NGN">Nigerian Naira
                                    </option>
                                    <option value="NIO">Nicaraguan Córdoba
                                    </option>
                                    <option value="NOK">Norwegian Krone
                                    </option>
                                    <option value="NPR">Nepalese Rupee
                                    </option>
                                    <option value="NZD">New Zealand Dollar
                                    </option>
                                    <option value="PAB">Panamanian Balboa
                                    </option>
                                    <option value="PEN">Peruvian Nuevo Sol
                                    </option>
                                    <option value="PGK">Papua New Guinean Kina
                                    </option>
                                    <option value="PHP">Philippine Peso
                                    </option>
                                    <option value="PKR">Pakistani Rupee
                                    </option>
                                    <option value="PLN">Polish Złoty
                                    </option>
                                    <option value="PYG">Paraguayan Guaraní
                                    </option>
                                    <option value="QAR">Qatari Riyal
                                    </option>
                                    <option value="RUB">Russian Ruble
                                    </option>
                                    <option value="SAR">Saudi Riyal
                                    </option>
                                    <option value="SBD">Solomon Islands Dollar
                                    </option>
                                    <option value="SCR">Seychellois Rupee
                                    </option>
                                    <option value="SEK">Swedish Krona
                                    </option>
                                    <option value="SGD">Singapore Dollar
                                    </option>
                                    <option value="SHP">Saint Helenian Pound
                                    </option>
                                    <option value="SLL">Sierra Leonean Leone
                                    </option>
                                    <option value="SOS">Somali Shilling
                                    </option>
                                    <option value="STD">São Tomé and Príncipe Dobra
                                    </option>
                                    <option value="SVC">Salvadoran Colón
                                    </option>
                                    <option value="SZL">Swazi Lilangeni
                                    </option>
                                    <option value="THB">Thai Baht
                                    </option>
                                    <option value="TOP">Tongan Paʻanga
                                    </option>
                                    <option value="TTD">Trinidad and Tobago Dollar
                                    </option>
                                    <option value="TWD">New Taiwan Dollar
                                    </option>
                                    <option value="TZS">Tanzanian Shilling
                                    </option>
                                    <option value="UAH">Ukrainian Hryvnia
                                    </option>
                                    <option value="UGX">Ugandan Shilling
                                    </option>
                                    <option value="USD">United States Dollar
                                    </option>
                                    <option value="UYU">Uruguayan Peso
                                    </option>
                                    <option value="UZS">Uzbekistani Som
                                    </option>
                                    <option value="VND">Vietnamese Đồng
                                    </option>
                                    <option value="VUV">Vanuatu Vatu
                                    </option>
                                    <option value="WST">Samoan Tala
                                    </option>
                                    <option value="XAF">Central African Cfa Franc
                                    </option>
                                    <option value="XOF">West African Cfa Franc
                                    </option>
                                    <option value="XPF">Cfp Franc
                                    </option>
                                    <option value="YER">Yemeni Rial
                                    </option>
                                    <option value="ZAR">South African Rand
                                </select >
                                <small> ' . __('Select the wanted currency', 'adns') . ' </small>
                                 </div>
                                 
                                <div class="form-group" >
                                    <label > ' . __('Allow recurring donation ?', 'adns') . ' </label >
                                    <input type="checkbox" id="stripe_isSubscription"  name="isSubscription" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                                    <small> ' . __('If activated, the payment can be recurring', 'adns') . ' </small> 
                                </div>
                                
                            <div class="form-group" >
                                <label > ' . __('Frequency of recurring payment','adns') . ' </label >
                                <select name="stripe_subsFrequencyType" class="form-control" />
                                    <option value="day">' . __('day(s)', 'lfb') . '</option>
                                    <option value="week">' . __('week(s)', 'lfb') . '</option>
                                    <option value="month">' . __('month(s)', 'lfb') . '</option>
                                    <option value="year">' . __('year(s)', 'lfb') . '</option>
                                </select>
                                <small> ' . __('Payment will be renewed every ... ?', 'adns') . ' </small>
                            </div>
                                <div class="form-group" >
                                    <label > ' . __('Subscription text', 'adns') . ' </label >
                                    <input type="text" id="stripe_subscriptionLabel" name="subscriptionLabel" class="form-control" />
                                    <small> ' . __('Something like "/month"', 'adns') . ' </small>
                                </div>
                                <div class="form-group" >
                                    <label > ' . __('Recurring choice text', 'adns') . ' </label >
                                    <input type="text" id="stripe_recurringLabel" name="recurringLabel" class="form-control" />
                                    <small> ' . __('Something like "Make a recurring donation ?"', 'adns') . ' </small>
                                </div>

                           <!-- </div>-->
                        </div>
                    </div>
                    <div class="clearfix"></div>      
                    <p style="text-align:center;"><a href="javascript:" class="btn btn-primary" onclick="adns_saveDonation();"><span class="glyphicon glyphicon-floppy-disk"></span>' . __('Save', 'adns') . '</a>
                        <div class="clearfix"></div>      
                </div>
                                
                 <div role="tabpanel" class="tab-pane" id="adns_tabDesign" >
                 <div class="col-md-6">
                 
                    <div class="form-group" >
                        <label > ' . __('Background color', 'adns') . ' </label >
                        <input type="text" name="colorBg" class="form-control colorpick" />
                        <small> ' . __('ex : #FFFFFF', 'adns') . '</small>
                    </div>       
                  <div class="form-group" >
                        <label> ' . __('Title color', 'adns') . ' </label >
                        <input type="text" name="colorTitle" class="form-control colorpick" />
                        <small> ' . __('ex : #000000', 'adns') . '</small>
                    </div>    
                     <div class="form-group" >
                        <label> ' . __('Buttons background color', 'adns') . ' </label >
                        <input type="text" name="colorBtnBg" class="form-control colorpick" />
                        <small> ' . __('ex : #1abc9c', 'adns') . '</small>
                    </div>    
                     <div class="form-group" >
                        <label> ' . __('Buttons background color on mouse over', 'adns') . ' </label >
                        <input type="text" name="colorBtnBgHover" class="form-control colorpick" />
                        <small> ' . __('ex : #1edeb9', 'adns') . '</small>
                    </div>    
                    <div class="form-group" >
                        <label> ' . __('Buttons text color', 'adns') . ' </label >
                        <input type="text" name="colorBtnColor" class="form-control colorpick" />
                        <small> ' . __('ex : #FFFFFF', 'adns') . '</small>
                    </div>      
                    <div class="form-group" >
                        <label> ' . __('Modal close icon color', 'adns') . ' </label >
                        <input type="text" name="colorCloseIcon" class="form-control colorpick" />
                        <small> ' . __('ex : #bdc3c7', 'adns') . '</small>
                    </div>                
                    <div class="form-group" >
                        <label> ' . __('Slider background color', 'adns') . ' </label >
                        <input type="text" name="colorSliderBg" class="form-control colorpick" />
                        <small> ' . __('ex : #ecf0f1', 'adns') . '</small>
                    </div>               
                                                      
                 </div>
                 <div class="col-md-6">  
                 
                        <div class="form-group picOnly" >
                            <label> ' . __('Tint images ?', 'adns') . ' </label >
                            <input type="checkbox"  name="imageTint" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />
                            <small> ' . __('Automatically fill the pictures with the main color (done for .png with transparent background)', 'adns') . ' </small>
                        </div>
                    <div class="form-group" >
                        <label> ' . __('Tint color', 'adns') . ' </label >
                        <input type="text" name="colorTint" class="form-control colorpick" />
                        <small> ' . __('ex : #1abc9c', 'adns') . '</small>
                    </div>          
                        
                        <div class="form-group">
                            <label>' . __('Use Google font ?', 'adns') . '</label>
                            <input type="checkbox"  name="useGoogleFont" data-toggle="switch" data-on-label="' . __('Yes', 'adns') . '" data-off-label="' . __('No', 'adns') . '" />   
                            <small>' . __('If disabled, the default theme font will be used', 'adns') . '</small>
                        </div>
                        <div class="form-group" >
                           <label > ' . __('Google font name', 'adns') . ' </label >
                           <input type="text" name="googleFontName" class="form-control" style="margin-right: 14px;" />
                           <a href="https://www.google.com/fonts" style="display: inline-block;" target="_blank" class="btn btn-info btn-circle"><span class="glyphicon glyphicon-info-sign"></span></a>        

                           <small> ' . __('ex : Lato', 'adns') . '</small>
                    </div>    
                    
                     <div class="form-group" >
                        <label> ' . __('Pictures maximum height', 'adns') . ' </label >
                        <input type="number" name="imagesMaxHeight" class="form-control" />
                        <small> ' . __('Set it to 0 to automatically use the height of the largest image', 'adns') . '</small>
                    </div>  
                     <div class="form-group">
                            <label style="width:100%;">' . __('Custom CSS', 'adns') . '</label>
                            <textarea  class="form-control" name="customCss" style="height: 152px;max-width: 100%;"></textarea>   
                            <small>' . __('You can paste your custom CSS rules here', 'adns') . '</small>
                        </div>    
                </div>
                 <div class="clearfix"></div>  
                             <p style="text-align:center;"><a href="javascript:" class="btn btn-primary" onclick="adns_saveDonation();"><span class="glyphicon glyphicon-floppy-disk"></span>' . __('Save', 'adns') . '</a>
                        <div class="clearfix"></div>  
                </div>

              </div>
            </div>
        </div>';

        echo '</div>'; // eof adns_panelPreview

        echo '<div id="adns_winImport" class="modal fade">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title">' . __('Import data', 'adns') . '</h4>
                    </div>
                    <div class="modal-body">
                     <div class="alert alert-danger"><p style="text-align: center;">' . __('Be carreful : all existing donations will be erased importing new data.', 'adns') . '</p></div>
                         <form id="adns_winImportDonation" method="post" enctype="multipart/form-data">
                             <div class="form-group">
                              <input type="hidden" name="action" value="adns_importDonations"/>
                              <label>' . __('Select the .zip data file', 'adns') . '</label><input name="importFile" type="file" class="" />
                             </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                      <a href="javascript:" class="btn btn-default" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span>' . __('Cancel', 'adns') . '</a>
                      <a href="javascript:" class="btn btn-primary" onclick="adns_importDonations();"><span class="glyphicon glyphicon-floppy-disk"></span>' . __('Import', 'adns') . '</a>
                  </div>
                  </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
              </div><!-- /.modal -->';


        echo '<div id="adns_winExport" class="modal fade">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">' . __('Export data', 'adns') . '</h4>
                      </div>
                      <div class="modal-body">
                        <p style="text-align: center;"><a href="' . $this->parent->assets_url . '../tmp/export_donations.zip" download  onclick="jQuery(\'#adns_winExport\').modal(\'hide\');" class="btn btn-primary btn-lg" id="adns_exportLink"><span class="glyphicon glyphicon-floppy-disk"></span>' . __('Download the exported data', 'adns') . '</a></p>
                      </div>
                    </div><!-- /.modal-content -->
                  </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->';

        echo '</div>'; // eof #adns_bootstraped
    }

    public function duplicateDonation() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            $table_name = $wpdb->prefix . "adns_donations";
            $donationID = sanitize_text_field($_POST['donationID']);

            $table_donations = $wpdb->prefix . "adns_donations";
            $table_steps = $wpdb->prefix . "adns_steps";

            $donations = $wpdb->get_results("SELECT * FROM $table_donations WHERE id=$donationID LIMIT 1");
            $donation = $donations[0];
            unset($donation->id);
            $donation->title = $donation->title . ' (1)';
            $wpdb->insert($table_donations, (array) $donation);
            $newDonationID = $wpdb->insert_id;

            $stepsReplacement = array();
            $itemsReplacement = array();

            $steps = $wpdb->get_results("SELECT * FROM $table_steps WHERE donationID=$donationID");
            foreach ($steps as $step) {
                $step->donationID = $newDonationID;
                $stepID = $step->id;
                unset($step->id);
                $wpdb->insert($table_steps, (array) $step);
                $newStepID = $wpdb->insert_id;
            }
       
        }

        die();
    }

    private function jsonRemoveUnicodeSequences($struct) {
        return json_encode($struct);
    }

    public function saveDonation() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            $table_name = $wpdb->prefix . "adns_donations";
            $donationID = sanitize_text_field($_POST['donationID']);
            $sqlDatas = array();
            foreach ($_POST as $key => $value) {
                if ($key != 'action' && $key != 'id' && $key != 'pll_ajax_backend' && $key != "undefined" && $key != "donationID" && $key != "files") {
                    $sqlDatas[$key] = (stripslashes($value));
                }
            }
            if ($donationID > 0) {
                $wpdb->update($table_name, $sqlDatas, array('id' => $donationID));
                $response = $donationID;
            } else {
                if (isset($_POST['title'])) {
                    $wpdb->insert($table_name, $sqlDatas);
                    $lastid = $wpdb->insert_id;
                    $response = $lastid;
                }
            }
            echo $response;
        }
        die();
    }

    public function removeDonation() {
        global $wpdb;
        $donationID = sanitize_text_field($_POST['donationID']);
        $table_name = $wpdb->prefix . "adns_donations";
        $wpdb->delete($table_name, array('id' => $donationID));
        $table_name = $wpdb->prefix . "adns_steps";
        $wpdb->delete($table_name, array('donationID' => $donationID));
        die();
    }

    public function loadDonation() {
        global $wpdb;
        $donationID = sanitize_text_field($_POST['donationID']);
        $rep = new stdClass();
        $rep->steps = array();

        $table_name = $wpdb->prefix . "adns_donations";
        $donations = $wpdb->get_results("SELECT * FROM $table_name WHERE id=" . $donationID);
        $rep->donation = $donations[0];        

        $table_name = $wpdb->prefix . "adns_settings";
        $params = $wpdb->get_results("SELECT * FROM $table_name");
        $rep->params = $params[0];

        $table_name = $wpdb->prefix . "adns_steps";
        $steps = $wpdb->get_results("SELECT * FROM $table_name WHERE donationID=" . $donationID." ORDER BY amount ASC");
        foreach ($steps as $step) {           
            $rep->steps[] = $step;
        }

        $table_name = $wpdb->prefix . "adns_settings";
        $params = $wpdb->get_results("SELECT * FROM $table_name");
        $rep->params = $params[0];

        echo($this->jsonRemoveUnicodeSequences($rep));
        die();
    }

    public function removeStep() {
        global $wpdb;
        if (current_user_can('manage_options')) {
        $table_name = $wpdb->prefix . "adns_steps";
        $wpdb->delete($table_name, array('id' => sanitize_text_field($_POST['stepID'])));  
        }
        die();
    }

    public function addStep() {
        global $wpdb;
        if (current_user_can('manage_options')) {
        $table_name = $wpdb->prefix . "adns_steps";
        $donationID = sanitize_text_field($_POST['donationID']);

        $data = new stdClass();
        $title = __('My Step', 'adns');
        
        if(isset($_POST['title']) && $_POST['title'] != ""){
            $title= sanitize_text_field($_POST['title']);
        }


        $wpdb->insert($table_name, array('title' => $title, 'donationID' => $donationID,'amount'=>10));
        $data->id = $wpdb->insert_id;
        $wpdb->update($table_name, array('content' => $this->jsonRemoveUnicodeSequences($data), 'donationID' => $donationID), array('id' => $data->id));
        echo json_encode((array) $data);
        }
        die();
    }

    public function loadSteps() {
        global $wpdb;
        if (current_user_can('manage_options')) {
            $rep = new stdClass();
            $rep->steps = array();
            $donationID = sanitize_text_field($_POST['donationID']);
            $table_name = $wpdb->prefix . "adns_steps";
            foreach ($wpdb->get_results("SELECT * FROM $table_name WHERE donationID=$donationID ORDER BY amount ASC") as $key => $row) {
                $rep->steps[] = $row;
            }
            echo($this->jsonRemoveUnicodeSequences($rep));
        }

        die();
    }


    public function saveStep() {
        global $wpdb;
        if (current_user_can('manage_options')) {
            $donationID = sanitize_text_field($_POST['donationID']);
            $stepID = sanitize_text_field($_POST['stepID']);            
            
            $table_name = $wpdb->prefix . "adns_steps";
            $sqlDatas = array();
            foreach ($_POST as $key => $value) {
                if ($key != 'action' && $key != 'stepID' && $key != 'pll_ajax_backend' && $key != 'itemsList' && $key != "files" && $key != "undefined") {
                    $sqlDatas[$key] = (stripslashes($value));
                }
            }            
            if($_POST['image'] == ""){
                $sqlDatas['image'] =  esc_url($this->parent->assets_url).'img/gift-256.png';
            }
            if ($stepID > 0) {
                $wpdb->update($table_name, $sqlDatas, array('id' => $stepID));
                $response = sanitize_text_field($_POST['id']);
            } else {
                $sqlDatas['donationID'] = $donationID;
                $wpdb->insert($table_name, $sqlDatas);
                $stepID = $wpdb->insert_id;
            }
            echo $stepID;
            
            $table_name = $wpdb->prefix . "adns_steps";
            $steps = array();
            $stepsCheck= $wpdb->get_results("SELECT * FROM $table_name WHERE donationID=$donationID AND startStep=1");
            if(count($stepsCheck)==0){
                $wpdb->update($table_name, array('startStep'=>1), array('id' => $stepID));                
            } else if (count($stepsCheck)>1){
                $wpdb->update($table_name, array('startStep'=>0), array('id' => $stepID));                
            }
        }
        die();
    }

    public function importDonations() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            $settings = $this->getSettings();
            $code = $settings->purchaseCode;
            if (isset($_FILES['importFile'])) {
                $error = false;
                if (!is_dir(plugin_dir_path(__FILE__) . '../tmp')) {
                    mkdir(plugin_dir_path(__FILE__) . '../tmp');
                    chmod(plugin_dir_path(__FILE__) . '../tmp', 0747);
                }
                $target_path = plugin_dir_path(__FILE__) . '../tmp/export_donations.zip';
                if (@move_uploaded_file($_FILES['importFile']['tmp_name'], $target_path)) {


                    $upload_dir = wp_upload_dir();
                    if (!is_dir($upload_dir['path'])) {
                        mkdir($upload_dir['path']);
                    }

                    $zip = new ZipArchive;
                    $res = $zip->open($target_path);
                    if ($res === TRUE) {
                        $zip->extractTo(plugin_dir_path(__FILE__) . '../tmp/');
                        $zip->close();

                        $formsData = array();

                        $jsonfilename = 'export_donations.json';
                        if (!file_exists(plugin_dir_path(__FILE__) . '../tmp/export_donations.json')) {
                            $jsonfilename = 'export_donations';
                        }
                        $file = file_get_contents(plugin_dir_path(__FILE__) . '../tmp/' . $jsonfilename);
                        $dataJson = json_decode(($file),true);

                        $table_name = $wpdb->prefix . "adns_donations";
                        $wpdb->query("TRUNCATE TABLE $table_name");
                        if (array_key_exists('donations', $dataJson)) {
                            foreach ($dataJson['donations'] as $key => $value) {    
                                $key = str_replace("&#039;",'"',$key); 
                                $value = str_replace("&#039;",'"',$value);
                                $wpdb->insert($table_name, $value);
                            }
                        }
                        $table_name = $wpdb->prefix . "adns_steps";
                        $wpdb->query("TRUNCATE TABLE $table_name");
                        foreach ($dataJson['steps'] as $key => $value) {
                                $key = str_replace("&#039;",'"',$key); 
                                $value = str_replace("&#039;",'"',$value);
                                //$value['amount'] = 1.0;

                            if ($value['image'] && $value['image'] != "") {
                                $img_name = substr($value['image'], strrpos($value['image'], '/') + 1);
                                $imagePath = substr($value['image'], 0, strrpos($value['image'], '/'));
                                if (!file_exists(site_url() . '/' . $value['image'])) {
                                    if (!is_dir($imagePath)) {
                                        $imagePath = wp_upload_dir();
                                        // mkdir($imagePath, 0747, true);
                                    }
                                    if (strrpos($value['image'], "uploadns") === false) {
                                        $value['image'] = 'uploadns' . $value['image'];
                                    }
                                    if (is_file(plugin_dir_path(__FILE__) . '../tmp/' . $img_name)) {
                                        copy(plugin_dir_path(__FILE__) . '../tmp/' . $img_name, $imagePath['basedir'] . $imagePath['subdir'] . '/' . $img_name);
                                    }
                                }
                                $value['image'] = $imagePath['url'] . '/' . $img_name;
                            }
                            $wpdb->insert($table_name, $value);
                        }
                        $files = glob(plugin_dir_path(__FILE__) . '../tmp/*');
                        foreach ($files as $file) {
                            if (is_file($file))
                                unlink($file);
                        }
                    } else {
                        $error = true;
                    }
                } else {
                    $error = true;
                }
                if ($error) {
                    echo __('An error occurred during the transfer', 'lfb');
                    die();
                } else {
                    echo 1;
                    die();
                }
            }
        }
    }

    public function exportDonations() {
        if (current_user_can('manage_options')) {
            global $wpdb;
            if (!is_dir(plugin_dir_path(__FILE__) . '../tmp')) {
                mkdir(plugin_dir_path(__FILE__) . '../tmp');
                chmod(plugin_dir_path(__FILE__) . '../tmp', 0747);
            }

            $destination = plugin_dir_path(__FILE__) . '../tmp/export_donations.zip';
            if (file_exists($destination)) {
                unlink($destination);
            }
            $zip = new ZipArchive();
            if ($zip->open($destination, ZipArchive::CREATE) !== true) {
                return false;
            }

            $jsonExport = array();
            $table_name = $wpdb->prefix . "adns_settings";
            $settings = $this->getSettings();
            $settings->purchaseCode = "";
            $jsonExport['settings'] = array();
            $jsonExport['settings'][] = $settings;


            $table_name = $wpdb->prefix . "adns_donations";
            $donations = array();
            foreach ($wpdb->get_results("SELECT * FROM $table_name") as $key => $row) {
                $donations[] = $row;
            }
            $jsonExport['donations'] = $donations;


            $table_name = $wpdb->prefix . "adns_steps";
            $steps = array();
            foreach ($wpdb->get_results("SELECT * FROM $table_name") as $key => $row) {
                $steps[] = $row;
                if ($row->image != "") {
                    $original_image = $row->image;
                    $upload_dir = wp_upload_dir();
                    $pos1 = strrpos($original_image, '/');
                    $pos2 = strrpos($row->image, '/', 0 - (strlen($row->image) - $pos1) - 1);
                    $pos3 = strrpos($row->image, '/', 0 - (strlen($row->image) - $pos2) - 1);
                    $row->image = substr($row->image, strlen(site_url()) + 1);
                    if (strrpos($row->image, "wp-content") > -1) {
                        $row->image = substr($row->image, strrpos($row->image, "wp-content") + 11);
                    }
                    if (substr($row->image, 0, 17) == '/uploadns/uploadns/') {
                        $row->image = substr($row->image, 9);
                    }
                    $zip->addfile($this->dir . "/../../" . $row->image, substr($original_image, $pos1 + 1));
                }
            }

            $jsonExport['steps'] = $steps;
            $fp = fopen(plugin_dir_path(__FILE__) . '../tmp/export_donations.json', 'w');
            fwrite($fp, json_encode($jsonExport));
            fclose($fp);

            $zip->addfile(plugin_dir_path(__FILE__) . '../tmp/export_donations.json', 'export_donations.json');
            $zip->close();
            echo '1';
            die();
        }
    }

    /**
     * Main Instance
     *
     *
     * @since 1.0.0
     * @static
     * @return Main instance
     */
    public static function instance($parent) {
        if (is_null(self::$_instance)) {
            self::$_instance = new self($parent);
        }
        return self::$_instance;
    }

    // End instance()

    /**
     * Cloning is forbidden.
     *
     * @since 1.0.0
     */
    public function __clone() {
        _doing_it_wrong(__FUNCTION__, __(''), $this->parent->_version);
    }

// End __clone()

    /**
     * Unserializing instances of this class is forbidden.
     *
     * @since 1.0.0
     */
    public function __wakeup() {
        _doing_it_wrong(__FUNCTION__, __(''), $this->parent->_version);
    }

// End __wakeup()
}
